# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXReplace

Function

Adds a component from one Field to another.

Syntax
`
#include <dx/dx.h>
`

Object DXReplace(Object o, Object add, char *src, char *dst)

Functional Details

Adds a component from one Field to another. For each Field in Object `o`, the `src` component of the corresponding Field in Object `add` is placed in the Field as the `dst` component.

Objects `o` and `add` can be single Fields or any Object that can contain Fields (for example, Groups or Series). If they are anything other than simple Fields, the Object hierarchies must match exactly.

Objects `o` and `add` can be the same object.

Object `add` can be an Array or an Object where each Field in `o` corresponds to an Array in `add`. In this case, the Array is added as the `dst` component of the Field and `src` is not required.

Return Value

It is an error if no components of name `src` are found in any of the Fields of `add`. Returns `o` on success, or returns `NULL` and sets the error code to indicate an error.

See Also

`DXExists, DXExtract, DXInsert, DXRemove, DXRename, DXGetComponentValue, DXSetComponentValue, DXSwap`

12.10 , "Component Manipulation".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]